org.apache.xerces.xs

## Interface AttributePSVI

- All Superinterfaces:
    ItemPSVI

      public interface AttributePSVI
      extends ItemPSVI

  Represents a PSVI item for one attribute information item.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xerces.xs.ItemPSVI

      `VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSAttributeDeclaration` | `getAttributeDeclaration()` [attribute declaration]: An item isomorphic to the declaration component itself.

    - ### Methods inherited from interface org.apache.xerces.xs.ItemPSVI

      `getActualNormalizedValue, getActualNormalizedValueType, getErrorCodes, getErrorMessages, getIsSchemaSpecified, getItemValueTypes, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getSchemaValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

- - ### Method Detail

    - #### getAttributeDeclaration

          XSAttributeDeclaration getAttributeDeclaration()

      [attribute declaration]: An item isomorphic to the declaration component itself.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.